_DisplayOrientations = function () {
  this.none = 0;
  this.landscape = 1;
  this.portrait = 2;
  this.landscapeFlipped = 3;
  this.portraitFlipped = 4;
}
exports.DisplayOrientations = new _DisplayOrientations();

_ResolutionScale = function () {
  this.invalid = 0;
  this.scale100Percent = 1;
  this.scale120Percent = 2;
  this.scale140Percent = 3;
  this.scale150Percent = 4;
  this.scale160Percent = 5;
  this.scale180Percent = 6;
  this.scale225Percent = 7;
}
exports.ResolutionScale = new _ResolutionScale();

DisplayInformation = (function () {
  var cls = function DisplayInformation() {
    this.currentOrientation = new DisplayOrientations();
    this.logicalDpi = new Number();
    this.nativeOrientation = new DisplayOrientations();
    this.rawDpiX = new Number();
    this.rawDpiY = new Number();
    this.resolutionScale = new ResolutionScale();
    this.stereoEnabled = new Boolean();
  };
  

  cls.prototype.getColorProfileAsync = function getColorProfileAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.getForCurrentView = function getForCurrentView() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="DisplayInformation" />
    /// </signature>
    return new DisplayInformation();
  }


  cls.autoRotationPreferences = new DisplayOrientations();
    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.DisplayInformation = DisplayInformation;

DisplayProperties = (function () {
  var cls = function DisplayProperties() {
  };
  

  cls.getColorProfileAsync = function getColorProfileAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }



  cls.autoRotationPreferences = new DisplayOrientations();
  cls.currentOrientation = new DisplayOrientations();
  cls.logicalDpi = new Number();
  cls.nativeOrientation = new DisplayOrientations();
  cls.resolutionScale = new ResolutionScale();
  cls.stereoEnabled = new Boolean();
    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.DisplayProperties = DisplayProperties;

